<?php

namespace Slack\Blockkit\Blocks;

final class Button
{
	public string $type;
	public TextEmoji $text;
	public string $value;
	public string $url;
	public string $action_id;
	public string $style;

	public function __construct(TextEmoji $text,string $value,string $action_id,string $url=NULL,string $style=NULL)
	{
		$this->type = 'button';
		$this->text = $text;
		$this->value = $value ?: '-';
		$this->action_id = $action_id;
		if ($url)
			$this->url = $url;
		if ($style)
			$this->style = $style;
	}

	public static function item(TextEmoji $text,string $value,string $action_id,string $url=NULL,string $style=NULL): self
	{
		return new self($text,$value,$action_id,$url,$style);
	}
}