<?php

namespace Slack\Command;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Slack\Message;

/**
 * Catch all unknown slack commands that we havent specifically programmed for.
 *
 * @package Slack\Command
 */
final class Unknown extends Base
{
	public function __construct(array $request)
	{
		Log::notice(sprintf('SCU:UNKNOWN Slack Interaction Option received [%s]',get_class($this)),['m'=>__METHOD__]);

		parent::__construct($request);
	}

	public function respond(): Message
	{
		$o = new Message;

		$o->setText(sprintf('I didnt understand your command "%s". You might like to try `%s help` instead.',$this->command,$this->slashcommand));

		return $o;
	}
}
