<?php

namespace Slack\Event;

/**
 * This class handles when the user opens the app home page
 *
 * EG:
 * [token] => {SLACKTOKEN}
 * [team_id] => {SLACKTEAM}
 * [api_app_id] => A4TCZ007N
 * [event] => stdClass Object
 * (
 *   [type] => app_home_opened
 *   [user] => {SLACKUSER}
 *   [channel] => {SLACKCHANNEL}
 *   [tab] => messages
 *   [event_ts] => 1599626320.358395
 * )
 * [type] => event_callback
 * [event_id] => Ev01APNQ0T4Z
 * [event_time] => 1599626320
 * [authed_users] => Array
 * (
 *   ...
 * )
 */
class AppHomeOpened extends Base
{
	public function __get($key)
	{
		switch ($key) {
			case 'user_id':
				return object_get($this->_data,'event.user');
			case 'tab':
				return object_get($this->_data,'event.tab');
			case 'view':
				return object_get($this->_data,'event.view',new \stdClass);

			default:
				return parent::__get($key);
		}
	}
}
