<?php

namespace Slack\Event;

/**
 * This class handles Pin Added responses received from Slack
 *
 * EG:
 * [token] => {SLACKTOKEN}
 * [team_id] => {SLACKTEAM}
 * [api_app_id] => A4TCZ007N
 * [event] => stdClass Object
 * (
 *   [type] => group_left
 *   [channel] => {SLACKCHANNEL}
 *   [actor_id] => {SLACKUSER}
 *   [event_ts] => 1601602161.000100
 * )
 * [type] => event_callback
 * [event_id] => Ev01CHTCNMFA
 * [event_time] => 1601602161
 * [authed_users] => Array
 * (
 *   ...
 * )
 */
class GroupLeft extends Base
{
	public function __get($key)
	{
		switch ($key) {
			case 'channel_id':
				return object_get($this->_data,'event.channel');

			default:
				return parent::__get($key);
		}
	}
}
