<?php

namespace Slack\Event;

/**
 * This class handles when a user is invited to a channel
 *
 * EG:
 * [token] => Oow8S2EFvrZoS9z8N4nwf9Jo
 * [team_id] => {SLACKTEAM}
 * [api_app_id] => A4TCZ007N
 * [event] => stdClass Object
 * (
 *   [type] => member_joined_channel
 *   [user] => {SLACKUSER}
 *   [channel] => {SLACKCHANNEL}
 *   [channel_type] => G
 *   [team] => {SLACKTEAM}
 *   [inviter] => {SLACKUSER}
 *   [event_ts] => 1605160285.000800
 * )
 * [type] => event_callback
 * [event_id] => Ev01EKN4AYRZ
 * [event_time] => 1605160285
 * [authed_users] => Array
 * (
 *   ...
 * )
 * [event_context] => 1-member_joined_channel-T159T77TM-G4D3PH40L
 */
class MemberJoinedChannel extends Base
{
	public function __get($key)
	{
		switch ($key) {
			case 'channel_id':
				return object_get($this->_data,'event.channel');
			case 'invited':
				return object_get($this->_data,'event.user');

			default:
				return parent::__get($key);
		}
	}
}
