<?php

namespace Slack\Interactive;

/**
 * This class handles when the user opens the app via a shortcut configured in Interactivity & Shortcuts
 *
 * EG:
 * [type] => shortcut
 * [token] => {SLACKTOKEN}
 * [action_ts] => 1600393871.567037
 * [team] => stdClass Object
 * (
 *   [id] => {SLACKTEAM}
 *   [domain] => {SLACKDOMAIN}
 * )
 * [user] => stdClass Object
 * (
 *   [id] => {SLACKUSER}
 *   [username] => {SLACKUSER}
 *   [team_id] => {SLACKTEAM}
 * )
 * [callback_id] => sc_question_ask
 * [trigger_id] => 1357077877831.39333245939.79f59e011ce5e5a1865d0ae2ac94b3be
 */
class Shortcut extends Base
{
	public function __get($key)
	{
		switch ($key) {
			case 'user_id':
				return object_get($this->_data,'event.user');

			default:
				return parent::__get($key);
		}
	}
}
