<?php

namespace Slack\Listeners;

use Illuminate\Support\Facades\Log;
use Illuminate\Contracts\Queue\ShouldQueue;

use Slack\Event\MemberJoinedChannel;

class ChannelJoinListener implements ShouldQueue
{
	protected const LOGKEY = 'LCJ';

	public $queue = 'high';

	/**
	 * Handle the event.
	 *
	 * @param MemberJoinedChannel $event
	 * @return void
	 */
	public function handle(MemberJoinedChannel $event)
	{
		// Do some magic with event data
		Log::info(sprintf('%s:User [%s] joined Channel [%s]',self::LOGKEY,$event->invited,$event->channel_id),['m'=>__METHOD__]);

		if ($event->team()->bot->user_id == $event->invited) {
			$o = $event->channel(TRUE);
			$o->active = TRUE;
			$o->save();

			Log::debug(sprintf('%s:BOT [%s] Joined Channel [%s]',self::LOGKEY,$event->invited,$event->channel_id),['m'=>__METHOD__]);

		} else {
			Log::debug(sprintf('%s:Wasnt the BOT who joined Channel [%s]',self::LOGKEY,$event->channel_id),['m'=>__METHOD__]);
		}
	}
}
