<?php

namespace Slack\Listeners;

use Illuminate\Support\Facades\Log;
use Illuminate\Contracts\Queue\ShouldQueue;

use Slack\Event\PinRemoved;

class PinRemovedListener implements ShouldQueue
{
	protected const LOGKEY = 'LPR';

	public $queue = 'high';

	/**
	 * Handle the event.
	 *
	 * @param PinRemoved $event
	 * @return void
	 */
	public function handle(PinRemoved $event)
	{
		// Do some magic with event data
		Log::info(sprintf('%s:Pin Removed from message [%s] in [%s]',self::LOGKEY,$event->ts,$event->channel_id),['m'=>__METHOD__]);

		Log::debug(sprintf('%s:Ignoring Pin Remove on [%s]',static::LOGKEY,$event->ts),['m'=>__METHOD__]);
	}
}
