<?php

namespace Slack\Listeners;

use Illuminate\Support\Facades\Log;
use Illuminate\Contracts\Queue\ShouldQueue;

use Slack\Event\ReactionAdded;

class ReactionAddedListener implements ShouldQueue
{
	protected const LOGKEY = 'LRA';

	public $queue = 'high';

	/**
	 * Handle the event.
	 *
	 * @param ReactionAdded $event
	 * @return void
	 */
	public function handle(ReactionAdded $event)
	{
		// Do some magic with event data
		Log::info(sprintf('%s:Reaction [%s] added to message in [%s]',self::LOGKEY,$event->reaction,$event->team_id),['m'=>__METHOD__]);

		Log::debug(sprintf('%s:Ignoring Reaction Add [%s] on [%s]',static::LOGKEY,$event->reaction,$event->ts),['m'=>__METHOD__]);
	}
}
