<?php

namespace Slack\Listeners;

use Illuminate\Support\Facades\Log;
use Illuminate\Contracts\Queue\ShouldQueue;

use Slack\Interactive\ViewClosed;

class ViewClosedListener implements ShouldQueue
{
	protected const LOGKEY = 'LVC';

	public $queue = 'high';

	/**
	 * Handle the event.
	 *
	 * @param ViewClosed $event
	 * @return void
	 */
	public function handle(ViewClosed $event)
	{
		// Do some magic with event data
		Log::info(sprintf('%s:Block Action for Callback [%s] User [%s] in [%s]',self::LOGKEY,$event->callback_id,$event->user_id,$event->team_id),['m'=>__METHOD__]);

		switch ($event->callback_id) {
			default:
				Log::notice(sprintf('%s:Unhandled CALLBACK [%s]',self::LOGKEY,$event->callback_id),['m'=>__METHOD__]);
		}
	}
}
