<?php

namespace Slack\Options;

use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Log;

class Factory {
	private const LOGKEY = 'SOf';

	/**
	 * @var array event type to event class mapping
	 */
	public const map = [
		'interactive_message'=>InteractiveMessage::class,
	];

	/**
	 * Returns new event instance
	 *
	 * @param string  $type
	 * @param Request $request
	 * @return Base
	 */
	public static function create(string $type,Request $request)
	{
		$class = Arr::get(self::map,$type,Unknown::class);
		Log::debug(sprintf('%s:Working out Interactive Options Event Class for [%s] as [%s]',static::LOGKEY,$type,$class),['m'=>__METHOD__]);

		if (App::environment() == 'dev')
			file_put_contents('/tmp/option.'.$type,print_r(json_decode($request->input('payload')),TRUE));

		return new $class($request);
	}

	public static function make(Request $request): Base
	{
		// During the life of the event, this method is called twice - once during Middleware processing, and finally by the Controller.
		static $o = NULL;
		static $or = NULL;

		if (! $o OR ($or != $request)) {
			$data = json_decode($request->input('payload'));
			$or = $request;
			$o = self::create($data->type,$request);
		}

		return $o;
	}
}
