<?php

namespace Slack\Response;

/**
 * Class representing the response to a Slack User Query
 *
 * @package Slack\Response
 */
final class Team extends Base
{
	protected const LOGKEY = 'RT_';

	/**
	 * Enable getting values for keys in the response
	 *
	 * @note: This method is limited to certain values to ensure integrity reasons
	 */
	public function __get($key)
	{
		switch ($key) {
			case 'id':
			case 'name':
			case 'domain':
			case 'enterprise_id':
			case 'enterprise_name':
				return object_get($this->_data,'team.'.$key);
		}
	}
}
