<?php

namespace Slack\Response;

/**
 * Class representing the response to a Slack User Query
 *
 * @package Slack\Response
 */
final class User extends Base
{
	protected const LOGKEY = 'RU_';

	/**
	 * Enable getting values for keys in the response
	 *
	 * @note: This method is limited to certain values to ensure integrity reasons
	 */
	public function __get($key)
	{
		switch ($key) {
			case 'deleted':
			case 'is_admin':
			case 'is_bot':
			case 'is_restricted':
			case 'is_ultra_restricted':
			case 'is_owner':
			case 'enterprise_user':
				return object_get($this->_data,'user.'.$key);

			case 'user_id':
				return object_get($this->_data,'user.id');
		}
	}
}
